Skip to main content
Event Streaming API
curl --request POST \
  --url https://api.example.com/v1/events \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "event_name": "<string>",
    "event_source": "WEB",
    "event_data": {
      "client_id": "<string>",
      "page_location": "<string>",
      "session_id": "<string>",
      "user_agent": "<string>",
      "page_referrer": "<string>"
    },
    "event_metadata": {
      "idempotency_key": "<string>",
      "identifiers": {
        "user": "<string>",
        "organization": "<string>"
      },
      "consent": {}
    }
  }
]
'
{
  "type": "<string>",
  "title": "<string>",
  "status": 400,
  "detail": "<string>",
  "instance": "<string>"
}

Authorizations

Authorization
string
header
required

API key from Settings → API Key in your workspace. Keys are prefixed: ov_live_ for production, ov_test_ for test mode.

Headers

API-Version
string

If set, this will override the request schema to the set value

Pattern: ^\d{4}-\d{2}-\d{2}$

Body

application/json
event_name
string
required
event_source
enum<string>
required
Available options:
WEB
event_data
object
required
event_metadata
object
required

Response